curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}
Document API
List Documents
List documents in a knowledge base
GET
/
api
/
knowledge-base
/
{id}
/
documents
curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}
List of documents
Show document object
Show document object
curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}